-- 更新原额度假的TIPS
UPDATE t_hrcs_promptcontent SET fsyscontenttext = '该休假类型是否用定额扣减。\n开启：表示该休假类型为额度假，受定额扣减控制；\n如：设置年假为额度假，可用额度为5天，则年假申请时不可超过5天。\n关闭：表示该休假类型为非额度假，不受额度扣减控制，但可设置是否用前置假额度扣减。\n前置假：申请休假时，需要提前把额度消耗完的休假类型。\n如：申请事假前需要把年假的额度消耗完，年假即为事假的前置假。', fsyscontent = '该休假类型是否用定额扣减。\n开启：表示该休假类型为额度假，受定额扣减控制；\n如：设置年假为额度假，可用额度为5天，则年假申请时不可超过5天。\n关闭：表示该休假类型为非额度假，不受额度扣减控制，但可设置是否用前置假额度扣减。\n前置假：申请休假时，需要提前把额度消耗完的休假类型。\n如：申请事假前需要把年假的额度消耗完，年假即为事假的前置假。' WHERE fid = 1738436685605362689;

-- 是否一次性假的TIPS
DELETE FROM T_HRCS_PROMPT WHERE fid =1800065243343237120;
INSERT INTO T_HRCS_PROMPT(fid,fnumber,fname,fstatus,fcreatorid,fmodifierid,fenable,fcreatetime,fmodifytime,fmasterid,fsimplename,fdescription,findex,fissyspreset,fdisablerid,fdisabledate,fcategorize,fcategorizeid,fcloud,fapp,fbusinessobject,fselectcontent) VALUES(1800065243343237120,'TSY202310200001','计算规则_是否一次性假','C',1,1,'1',{ts'1900-01-01 00:00:00'},{ts'1900-01-01 00:00:00'},1800065243343237120,' ',' ',0,'1',0,null,' ',' ','13MN3ZU1+G54','1O9FOLRY18YW','wtp_vacalculrule','1');
DELETE FROM T_HRCS_PROMPT_L WHERE fpkid = '3N2YFNR1QPC3';
INSERT INTO T_HRCS_PROMPT_L(fid,flocaleid,fpkid,fname,fsimplename,fdescription) VALUES(1800065243343237120,'zh_CN','3N2YFNR1QPC3','计算规则_是否一次性假',' ',' ');
DELETE FROM T_HRCS_PROMPTCONTENT WHERE fid =1800065243343237121;
INSERT INTO T_HRCS_PROMPTCONTENT(fid,fpromptid,fcontenttext,flocaleid,fsyscontenttext,fpromptcontent,fsyscontent) VALUES(1800065243343237121,1800065243343237120,' ',328738425610159104,'申请额度假时要求一次性休完。\n开启：表示该休假类型的额度需要一次性休完，若未休完，剩余额度将失效；\n如：申请婚假时，要求一次性休完3天婚假额度；\n关闭：不做限制。',' ','申请额度假时要求一次性休完。\n开启：表示该休假类型的额度需要一次性休完，若未休完，剩余额度将失效；\n如：申请婚假时，要求一次性休完3天婚假额度；\n关闭：不做限制。');
DELETE FROM T_HRCS_PROMPTRULE WHERE fid =1800065243343237122;
INSERT INTO T_HRCS_PROMPTRULE(fid,fnumber,fname,fstatus,fcreatorid,fmodifierid,fenable,fcreatetime,fmodifytime,fmasterid,fsimplename,fdescription,findex,fissyspreset,fdisablerid,fdisabledate,fbusinessobject,fbonumber,fcontrolnumber,fcontrolname,fcontroltype,fentity) VALUES(1800065243343237122,'wtp_vacalculrule_isdisposable','计算规则_是否一次性假','C',1,1,'1',{ts'1900-01-01 00:00:00'},{ts'1900-01-01 00:00:00'},1800065243343237122,' ',' ',0,'1',0,null,'wtp_vacalculrule',' ','isdisposable','是否一次性假','字段','2WQ+EHNG8Y32');
DELETE FROM T_HRCS_PROMPTRULE_L WHERE fpkid = '3N2YFNUAN7ET';
INSERT INTO T_HRCS_PROMPTRULE_L(fid,flocaleid,fpkid,fname,fsimplename,fdescription,fcontrolname,fcontroltype) VALUES(1800065243343237122,'zh_CN','3N2YFNUAN7ET','计算规则_是否一次性假',' ',' ','是否一次性假','字段');
DELETE FROM T_HRCS_PROMPTRULEENTRY WHERE fentryid =1800065247277494272;
INSERT INTO T_HRCS_PROMPTRULEENTRY(fentryid,fseq,fentryprompt,fentrydescription,fentryrule,fid) VALUES(1800065247277494272,1,1800065243343237120,' ','{"filterRow":[],"forList":false}',1800065243343237122);

-- 无额度可申请的TIPS
DELETE FROM T_HRCS_PROMPT WHERE fid =1800104399654105088;
INSERT INTO T_HRCS_PROMPT(fid,fnumber,fname,fstatus,fcreatorid,fmodifierid,fenable,fcreatetime,fmodifytime,fmasterid,fsimplename,fdescription,findex,fissyspreset,fdisablerid,fdisabledate,fcategorize,fcategorizeid,fcloud,fapp,fbusinessobject,fselectcontent) VALUES(1800104399654105088,'TSY202310200002','计算规则_无额度可申请','C',1,1,'1',{ts'1900-01-01 00:00:00'},{ts'1900-01-01 00:00:00'},1800104399654105088,' ',' ',0,'1',0,null,' ',' ','13MN3ZU1+G54','1O9FOLRY18YW','wtp_vacalculrule','1');
DELETE FROM T_HRCS_PROMPT_L WHERE fpkid = '3N33RZSA/Q5L';
INSERT INTO T_HRCS_PROMPT_L(fid,flocaleid,fpkid,fname,fsimplename,fdescription) VALUES(1800104399654105088,'zh_CN','3N33RZSA/Q5L','计算规则_无额度可申请',' ',' ');
DELETE FROM T_HRCS_PROMPTCONTENT WHERE fid =1800104399654105089;
INSERT INTO T_HRCS_PROMPTCONTENT(fid,fpromptid,fcontenttext,flocaleid,fsyscontenttext,fpromptcontent,fsyscontent) VALUES(1800104399654105089,1800104399654105088,' ',328738425610159104,'休假类型为非额度假，但有可用额度扣减时可设置该字段。\n开启：表示申请该休假类型时，需要先休完前置假的可用额度才可申请；\n如：事假可用年假额度扣减，可用额度为5天，申请事假时不允许申请；需要休完5天年假额度才可申请事假。\n关闭：表示申请该休假类型时，前置假有可用额度时，需要拆分申请；无可额度时，可申请该休假类型。\n如：申请事假5天，若前置假有可用额度，则需要用户拆分申请，若无可用额度，则可继续申请事假。',' ','休假类型为非额度假，但有可用额度扣减时可设置该字段。\n开启：表示申请该休假类型时，需要先休完前置假的可用额度才可申请；\n如：事假可用年假额度扣减，可用额度为5天，申请事假时不允许申请；需要休完5天年假额度才可申请事假。\n关闭：表示申请该休假类型时，前置假有可用额度时，需要拆分申请；无可额度时，可申请该休假类型。\n如：申请事假5天，若前置假有可用额度，则需要用户拆分申请，若无可用额度，则可继续申请事假。');
DELETE FROM T_HRCS_PROMPTRULE WHERE fid =1800104399654105090;
INSERT INTO T_HRCS_PROMPTRULE(fid,fnumber,fname,fstatus,fcreatorid,fmodifierid,fenable,fcreatetime,fmodifytime,fmasterid,fsimplename,fdescription,findex,fissyspreset,fdisablerid,fdisabledate,fbusinessobject,fbonumber,fcontrolnumber,fcontrolname,fcontroltype,fentity) VALUES(1800104399654105090,'wtp_vacalculrule_isnonquotaapply','计算规则_无额度可申请','C',1,1,'1',{ts'1900-01-01 00:00:00'},{ts'1900-01-01 00:00:00'},1800104399654105090,' ',' ',0,'1',0,null,'wtp_vacalculrule',' ','isnonquotaapply','无额度可申请','字段','2WQ+EHNG8Y32');
DELETE FROM T_HRCS_PROMPTRULE_L WHERE fpkid = '3N33RZWKTUPF';
INSERT INTO T_HRCS_PROMPTRULE_L(fid,flocaleid,fpkid,fname,fsimplename,fdescription,fcontrolname,fcontroltype) VALUES(1800104399654105090,'zh_CN','3N33RZWKTUPF','计算规则_无额度可申请',' ',' ','无额度可申请','字段');
DELETE FROM T_HRCS_PROMPTRULEENTRY WHERE fentryid =1800104400534907904;
INSERT INTO T_HRCS_PROMPTRULEENTRY(fentryid,fseq,fentryprompt,fentrydescription,fentryrule,fid) VALUES(1800104400534907904,1,1800104399654105088,' ','{"filterRow":[],"forList":false}',1800104399654105090);

-- 申请时拆分单据的TIPS
DELETE FROM T_HRCS_PROMPT WHERE fid =1800105706439846912;
INSERT INTO T_HRCS_PROMPT(fid,fnumber,fname,fstatus,fcreatorid,fmodifierid,fenable,fcreatetime,fmodifytime,fmasterid,fsimplename,fdescription,findex,fissyspreset,fdisablerid,fdisabledate,fcategorize,fcategorizeid,fcloud,fapp,fbusinessobject,fselectcontent) VALUES(1800105706439846912,'TSY202310200003','计算规则_申请时拆分单据','C',1,1,'1',{ts'1900-01-01 00:00:00'},{ts'1900-01-01 00:00:00'},1800105706439846912,' ',' ',0,'1',0,null,' ',' ','13MN3ZU1+G54','1O9FOLRY18YW','wtp_vacalculrule','1');
DELETE FROM T_HRCS_PROMPT_L WHERE fpkid = '3N34/H0EDL=X';
INSERT INTO T_HRCS_PROMPT_L(fid,flocaleid,fpkid,fname,fsimplename,fdescription) VALUES(1800105706439846912,'zh_CN','3N34/H0EDL=X','计算规则_申请时拆分单据',' ',' ');
DELETE FROM T_HRCS_PROMPTCONTENT WHERE fid =1800105706439846913;
INSERT INTO T_HRCS_PROMPTCONTENT(fid,fpromptid,fcontenttext,flocaleid,fsyscontenttext,fpromptcontent,fsyscontent) VALUES(1800105706439846913,1800105706439846912,' ',328738425610159104,'当该休假类型可用多个额度扣减时，可设置员工休假申请时是否拆分单据。\n开启：表示休假申请时需要拆分单据；\n如：申请事假5天，可用年假额度2天，调休假额度1天，将提示员工有可用年假额度2天，调休假额度1天，请分开申请；\n关闭：表示休假申请不需拆分单据；按所选类型进行申请。',' ','当该休假类型可用多个额度扣减时，可设置员工休假申请时是否拆分单据。\n开启：表示休假申请时需要拆分单据；\n如：申请事假5天，可用年假额度2天，调休假额度1天，将提示员工有可用年假额度2天，调休假额度1天，请分开申请；\n关闭：表示休假申请不需拆分单据；按所选类型进行申请。');
DELETE FROM T_HRCS_PROMPTRULE WHERE fid =1800105706439846914;
INSERT INTO T_HRCS_PROMPTRULE(fid,fnumber,fname,fstatus,fcreatorid,fmodifierid,fenable,fcreatetime,fmodifytime,fmasterid,fsimplename,fdescription,findex,fissyspreset,fdisablerid,fdisabledate,fbusinessobject,fbonumber,fcontrolnumber,fcontrolname,fcontroltype,fentity) VALUES(1800105706439846914,'wtp_vacalculrule_issplit','计算规则_申请时拆分单据','C',1,1,'1',{ts'1900-01-01 00:00:00'},{ts'1900-01-01 00:00:00'},1800105706439846914,' ',' ',0,'1',0,null,'wtp_vacalculrule',' ','issplit','申请时拆分单据','字段','2WQ+EHNG8Y32');
DELETE FROM T_HRCS_PROMPTRULE_L WHERE fpkid = '3N34/H11SH+8';
INSERT INTO T_HRCS_PROMPTRULE_L(fid,flocaleid,fpkid,fname,fsimplename,fdescription,fcontrolname,fcontroltype) VALUES(1800105706439846914,'zh_CN','3N34/H11SH+8','计算规则_申请时拆分单据',' ',' ','申请时拆分单据','字段');
DELETE FROM T_HRCS_PROMPTRULEENTRY WHERE fentryid =1800105706574065664;
INSERT INTO T_HRCS_PROMPTRULEENTRY(fentryid,fseq,fentryprompt,fentrydescription,fentryrule,fid) VALUES(1800105706574065664,1,1800105706439846912,' ','{"filterRow":[],"forList":false}',1800105706439846914);